# Uses of Class
org.eclipse.core.expressions.ExpressionInfo

Packages that use ExpressionInfo
Package
Description
org.eclipse.core.expressions
Application programming interfaces for the expression language.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of ExpressionInfo in org.eclipse.core.expressions

Methods in org.eclipse.core.expressions that return ExpressionInfo
Modifier and Type
Method
Description
`final ExpressionInfo`
Expression.`computeExpressionInfo()`
Computes the expression information for the given expression tree.
Methods in org.eclipse.core.expressions with parameters of type ExpressionInfo
Modifier and Type
Method
Description
`void`
CompositeExpression.`collectExpressionInfo(ExpressionInfo info)`
`void`
CountExpression.`collectExpressionInfo(ExpressionInfo info)`
`void`
EqualsExpression.`collectExpressionInfo(ExpressionInfo info)`
`void`
Expression.`collectExpressionInfo(ExpressionInfo info)`
Collects information about this expression tree.
`void`
ReferenceExpression.`collectExpressionInfo(ExpressionInfo info)`
`void`
TestExpression.`collectExpressionInfo(ExpressionInfo info)`
`void`
WithExpression.`collectExpressionInfo(ExpressionInfo info)`
`void`
ExpressionInfo.`merge(ExpressionInfo other)`
Merges this reevaluation information with the given info.
`void`
ExpressionInfo.`mergeExceptDefaultVariable(ExpressionInfo other)`
Merges this reevaluation information with the given info ignoring the default variable access.

## Uses of ExpressionInfo in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type ExpressionInfo
Modifier and Type
Method
Description
`void`
ActiveShellExpression.`collectExpressionInfo(ExpressionInfo info)`
Expression information for this expression.
`void`
LegacyHandlerSubmissionExpression.`collectExpressionInfo(ExpressionInfo info)`
Collect expression info for a legacy handler submission.